Uç Nokta
Ortak alanlar
İstek sınırı: Her API anahtarı ve
fromPhoneNumber birleşimi için dakikada 20 istek.
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Desteklenen sınırlar içinde yanıt düğmeleri veya liste gönderin.
POST /broadcast/public/send-freeform
| Alan | Tür | Gerekli | Açıklama |
|---|---|---|---|
fromPhoneNumber | dize | Gerekli | WABA numaranız |
toPhoneNumber | dize | Gerekli | Ülke kodunu içeren alıcı, yalnızca rakamlar |
type | dize | Gerekli | Aşağıdaki sekiz türden biri |
fromPhoneNumber birleşimi için dakikada 20 istek.
{
"fromPhoneNumber": "14844634680",
"toPhoneNumber": "919675360316",
"type": "interactive",
"interactive": {
"type": "button",
"header": { "type": "text", "text": "Renew your plan" },
"body": { "text": "Your subscription ends in 3 days. Renew now?" },
"footer": { "text": "Reply STOP to opt out" },
"action": {
"buttons": [
{ "type": "reply", "reply": { "id": "renew_yes", "title": "Renew now" } },
{ "type": "reply", "reply": { "id": "renew_later", "title": "Remind me later" } }
]
}
}
}
{
"fromPhoneNumber": "14844634680",
"toPhoneNumber": "919675360316",
"type": "interactive",
"interactive": {
"type": "list",
"header": { "type": "text", "text": "Pick a plan" },
"body": { "text": "Choose the plan that fits your team." },
"action": {
"button": "View plans",
"sections": [
{
"title": "Monthly",
"rows": [
{ "id": "starter_m", "title": "Starter", "description": "3 seats included" },
{ "id": "growth_m", "title": "Growth", "description": "10 seats included" }
]
}
]
}
}
}
{
"status": true,
"status_code": 200,
"message": "Free-form message queued successfully",
"data": {}
}
| Durum | Neden | Kontrol edilecekler |
|---|---|---|
400 | Ortak veya türe özgü alan geçersiz | Bu sayfadaki zorunlu alanları kontrol edin |
400 | Medya URL’si veya uzantısı desteklenmiyor | http veya https ile kabul edilen uzantıyı kullanın |
400 | Koordinat, düğme veya liste satırı sınırı aşıldı | Yük sınırlarını düzeltin |
401 | Anahtar veya gönderen kuruluşa ait değil | Aynı anahtarla döndürülen göndereni kullanın |
429 | 20 istek sınırı aşıldı | Yanıtta belirtilen süreyi bekleyin |
500 veya 503 | Geçici hizmet hatası | Üstel geri çekilmeyle yeniden deneyin |
Bu sayfa yararlı mıydı?